const DeckImager = require('./index.js');
const fs = require('fs');

const outputPath = "test.png";

// Test: valid deck string, valid path
(async function() {
  try {
    const resultPath = await DeckImager.imageFromDeckstring(
      'AAECAaIHBLICrwTtBYHCAg20AYwCzQO9BJsFiAekB90Ihgn1uwLrwgLc0QLb4wIA',
      outputPath
    );

    if (resultPath === outputPath) {
      // Pass
      console.log("PASS: valid deckstring produced valid deck.");
    }
    else {
      console.error('FAIL: valid deckstring did not produce valid deck.');
      console.error(outputPath);
      process.exit();
    }
  }
  catch (exception){
    console.error('FAIL: valid deckstring did not produce valid deck.');
    console.error(exception);
    process.exit();
  }
  finally{
    cleanup();
  }
})();


// Test: invalid deck string, valid path
(async function() {
  try {
    const resultPath = await DeckImager.imageFromDeckstring(
      'this_should_fail',
      outputPath
    );

    if(resultPath === outputPath){
      console.error('FAIL: invalid deckstring produced valid deck.');
      process.exit();
    }
    else{
      // Pass
      console.log("PASS: invalid deckstring did not produce a deck.");
    }
  }
  catch (exception){
    // Pass
    console.log("PASS: invalid deckstring did not produce a deck.");
  }
  finally{
    cleanup();
  }
})();

function cleanup(){
  if(fs.existsSync(outputPath)){
    fs.unlinkSync(outputPath);
  }
}
